Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.txbridge.ba.service
Class ServiceDescriptionImpl

    java.lang.Object
      org.jboss.txbridge.ba.service.ServiceDescriptionImpl

All Implemented Interfaces:
  java.io.Serializable, ServiceDescription

    public class ServiceDescriptionImpl

extends java.lang.Object
implements ServiceDescription

This class describes the service in terms of all its requirements related to participation in Business Activities. TODO: Redesign this - it's really inefficient now!

Version:
  0.1
Author:
  Maciej P. Machulak (mmachulak@redhat.com)
See Also:
  Serialized Form

Field Summary
`private AgreementType` | `agreementType`
`private java.util.Map<java.lang.String,MethodDescription>` | `methods`
`private MethodType` | `methodType` BA-related information.

Constructor Summary
`ServiceDescriptionImpl()`

Method Summary
`AgreementType` | `getAgreementType()`
`MethodDescription` | `getMethod(java.lang.String methodName)`
`MethodType` | `getMethodType()`
`void` | `putMethod(java.lang.String methodName, MethodDescription method)`
`void` | `setAgreementType(AgreementType agreementType)`
`void` | `setMethodType(MethodType methodType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### methodType

    private MethodType methodType

  BA-related information.

### agreementType

    private AgreementType agreementType

### methods

    private java.util.Map<java.lang.String,MethodDescription> methods

Constructor Detail

### ServiceDescriptionImpl

    public ServiceDescriptionImpl()

Method Detail

### getMethodType

    public MethodType getMethodType()

  Specified by:
    `getMethodType` in interface `ServiceDescription`

### setMethodType

    public void setMethodType(MethodType methodType)

  Specified by:
    `setMethodType` in interface `ServiceDescription`

### getAgreementType

    public AgreementType getAgreementType()

  Specified by:
    `getAgreementType` in interface `ServiceDescription`

### setAgreementType

    public void setAgreementType(AgreementType agreementType)

  Specified by:
    `setAgreementType` in interface `ServiceDescription`

### putMethod

    public void putMethod(java.lang.String methodName,
                          MethodDescription method)

  Specified by:
    `putMethod` in interface `ServiceDescription`

### getMethod

    public MethodDescription getMethod(java.lang.String methodName)

  Specified by:
    `getMethod` in interface `ServiceDescription`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD